<h3>ABOUT US!</h3>
  <p>Innovations has been creating refined, meaningful interior design for our discerning clientele for nearly 10 years. As a premier Seattle interior design firm, we embrace a process that incorporates multitude of elements essential to experiencing a building or space as a complete environment.
    We specialize in full-service interior design, including custom furniture, lighting and art procurement/installation. Our project resumé́ includes both new home construction and renovations of residential interiors of all sizes, small to large. NB Design Group also has design experience in boutique hotels, luxury yachts, private aircraft, and small commercial offices.
    Responsive to our clients’ vision, we are committed to design that expresses the interrelationships between architecture and place, space and form, color and materials, economy and integrity.We work with homeowners or partner with architects, custom home builders, and artisans to explore and discover meaningful solutions. Ultimately, our goal is to exceed our clients’ expectations by providing environments that reflect their values and meet their needs well into the future.</p>
